// make all elements as high as the tallest
function equalHeight(group) {
	var tallest = 0;
	group.each(function() {
		var thisHeight = $(this).height();
		if(thisHeight > tallest) {
			tallest = thisHeight;
		}
	});
	group.height(tallest);
}

function infoboxOpen()
{
	var infobox2=$("#infobox");
	
	infobox2.slideDown('fast', function() {
		$("#infoboxshow").hide();
	});
	$.post("/tools/infoboxOpen" );
}

function infoboxClose()
{
	$.post("/tools/infoboxClose" );
	
	var infobox2=$("#infobox");
	infobox2.slideUp('slow', function() {
		$("#infoboxshow").show();
	});
}

$(function() {
	if ($(window).width() > 768) {
		$(".matrix").each( function() {
			equalHeight($(this).children().children());
		});
	}
	
	var infobox2=$("#infobox");
	if (infobox2.size()>0)
	{	var infoboxShow=$("#infoboxshow");
		
		$.post("/tools/infoboxIsOpen", function(data) {
			if (data.o==true)
			{	infobox2.show();
			}
			else
			{	infoboxShow.show();
			}
 		},"json");
	}
	
});

function enableTextareaTab(target)
{	  $(document).delegate("#"+target, 'keydown', function(e) {
	  var keyCode = e.keyCode || e.which;
	
	  if (keyCode == 9) {
	    e.preventDefault();
	    var start = $(this).get(0).selectionStart;
	    var end = $(this).get(0).selectionEnd;
	
	    // set textarea value to: text before caret + tab + text after caret
	    $(this).val($(this).val().substring(0, start)
	                + "\t"
	                + $(this).val().substring(end));
	
	    // put caret at right position again
	    $(this).get(0).selectionStart =
	    $(this).get(0).selectionEnd = start + 1;
	  }
	});
}

function detectHash() {
  function maybeScrollToHash() {
    if (window.location.hash && $(window.location.hash).length) {
      var newTop = $(window.location.hash).offset().top - $('#navbar').height();
      $(window).scrollTop(newTop);
    }
  }

  $(window).bind('hashchange', function() {
    maybeScrollToHash();
  });

  maybeScrollToHash();
}

$(document).ready(function()
{	detectHash();
}
);
