<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" omit-xml-declaration="no"/>
	
	<xsl:template name="icon48">
		<xsl:param name="default" select="'/nkse/style/img/noicon.png'"/>
		<xsl:choose>
			<xsl:when test="icon and icon/@type='fa'">
				<div class="icon48box">
					<span class="icon48font fa {icon[@type='fa']}">&#160;</span>
					<xsl:if test="icon[@decoration]">
						<span class="icon48decoration {icon/@decoration}"> </span>
					</xsl:if>
				</div>
			</xsl:when>
			<xsl:when test="icon and icon/@type='fnk'">
				<div class="icon48box">
					<span class="icon48font fnk {icon[@type='fnk']}">&#160;</span>
					<xsl:if test="icon[@decoration]">
						<span class="icon48decoration {icon/@decoration}"> </span>
					</xsl:if>
				</div>
			</xsl:when>
			<xsl:when test="icon">
				<img class="icon48img" src="{icon}"/>
			</xsl:when>
			<xsl:otherwise>
				<div class="icon48box">
					<span class="icon48font fa fa-cube">&#160;</span>
				</div>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>